close all; clear all;

dpar.mStages = 14;

% symbol rate is 1
% RRC-filtered symbol rate is (1+alpha)
alpha = 0.15;
halfBW = 0.5 * (1+alpha);

% output rate of RRC filter is 2
% then upsample by 2 (zero insertion)
% input rate to this filter is 4
dpar.inRate_Hz = 4;

design = YAFIR(dpar);
EVM = -45;

design = placePassband(...
    design, ...
    'f_Hz', [0, halfBW], ...
    'EVM_dB', EVM);

design = placeStopband(...
    design, ...
    'f_Hz', [2-halfBW, 2+halfBW], ...
    'g_dB', [-55, -60]);

[h, status] = run(design); 
if strcmp(status, 'converged')
    disp('saving');
    save('ip1.dat', 'h', '-ascii');
end
disp(status);    
