close all; clear all;

dpar.mStages = 8;

% symbol rate is 1
% RRC-filtered symbol rate is (1+alpha)
alpha = 0.15;
halfBW = 0.5 * (1+alpha);

% input to this filter is rate 4, insert zeros every 
% second sample => rate 8
dpar.inRate_Hz = 8;

design = YAFIR(dpar);
EVM = -50;

design = placePassband(...
    design, ...
    'f_Hz', [0, halfBW], ...
    'EVM_dB', EVM);

design = placeStopband(...
    design, ...
    'f_Hz', [4-halfBW, 4+halfBW], ...
    'g_dB', [-60, -60]);

[h, status] = run(design); 
if strcmp(status, 'converged')
    disp('saving');
    save('ip2.dat', 'h', '-ascii');
end
disp(status);    
