close all; clear all;

dpar.mStages = 2*3;

% symbol rate is 1
% RRC-filtered symbol rate is (1+alpha)
alpha = 0.15;
halfBW = 0.5 * (1+alpha);

% input to this filter is rate 8, insert zeros every 
% second sample => rate 16
dpar.inRate_Hz = 16;

design = YAFIR(dpar);
EVM = -50;

design = placePassband(...
    design, ...
    'f_Hz', [0, halfBW], ...
    'EVM_dB', EVM);

design = placeStopband(...
    design, ...
    'f_Hz', [8-halfBW, 8+halfBW], ...
    'g_dB', [-50, -50]);

[h, status] = run(design); 
if strcmp(status, 'converged')
    disp('saving');
    save('ip3.dat', 'h', '-ascii');
end
disp(status);    
