close all; clear all;

dpar.mStages = 2*4;

% symbol rate is 1
% RRC-filtered symbol rate is (1+alpha)
alpha = 0.15;
halfBW = 0.5 * (1+alpha);

% input to this filter is rate 16, insert three zeros every 
% second sample => rate 64
dpar.inRate_Hz = 64;

design = YAFIR(dpar);
EVM = -50;

design = placePassband(...
    design, ...
    'f_Hz', [0, halfBW], ...
    'EVM_dB', EVM);

design = placeStopband(...
    design, ...
    'f_Hz', [16-halfBW, 16+halfBW], ...
    'g_dB', [-65, -65]);

% this alias will be suppressed by any analog filtering after DA conversion
design = placeStopband(...
    design, ...
    'f_Hz', [32-halfBW, 32+halfBW], ...
    'g_dB', [-50, -50]);

[h, status] = run(design); 
if strcmp(status, 'converged')
    disp('saving');
    save('ip4.dat', 'h', '-ascii');
end
disp(status);    
